Subject: Re: bug#17823: 24.3.91; end-of-visual-line: incorrect behaviour with truncate-lines and a line-prefix

From: Stefan Monnier <[email-masked]>
Date: Fri, 20 Jun 2014 15:20:54 -0400

> Why do you expect that?  "Visual line" means the line that is on
> display.  What isn't on display does not exist for this purpose.

Hmm... good point.  My intuitive understanding of the "visual line"
feature is to distinguish the "newlines" from the "line wraps", so when
we `truncate-lines' I'd expect the visual-line movements to be the same
as the physical line movements (tho I'd allow a distinction in the case
of line-wraps introduced via `display' of before/after-strings).

        Stefan